%global rolename hosted_engine_setup
%global roleprefix ovirt.
%global legacy_roleprefix oVirt.
%global legacy_rolename hosted-engine-setup
%global ansible_roles_dir ansible/roles
%global package_version 1.0.16

Name: ovirt-ansible-hosted-engine-setup
Summary: Ansible role to install required packages for oVirt Engine deployment, generate answerfile and run engine-setup with it.
Version: 1.0.16
Release: 1%{?release_suffix}%{?dist}
Source0: http://resources.ovirt.org/pub/src/%{name}/%{name}-%{package_version}.tar.gz
License: ASL 2.0
Group:          Virtualization/Management
BuildArch:      noarch
Url:            http://www.ovirt.org

Requires: ansible >= 2.7
Requires: python-netaddr
Requires: ovirt-ansible-engine-setup >= 1.1.5
Requires: ovirt-ansible-repositories >= 1.1.2

%description
This Ansible role installs required packages for oVirt Hosted-Engine deployment.

%pretrans -p <lua>
-- Remove the legacy directory before installing the symlink. This is known issue in RPM:
-- https://fedoraproject.org/wiki/Packaging:Directory_Replacement
rolename_legacy = "%{_datadir}/%{ansible_roles_dir}/%{roleprefix}%{legacy_rolename}"
rolename_legacy_uppercase="%{_datadir}/%{ansible_roles_dir}/%{legacy_roleprefix}%{legacy_rolename}"

st1 = posix.stat(rolename_legacy)
if st1 and st1.type == "directory" then
  os.execute('rm -rf "'..rolename_legacy..'"')
end

st2 = posix.stat(rolename_legacy_uppercase)
if st2 and st2.type == "directory" then
  os.execute('rm -rf "'..rolename_legacy_uppercase..'"')
end

%prep
%setup -c -q

%build

%install
export PKG_DATA_DIR_ORIG=%{_datadir}/%{ansible_roles_dir}/%{roleprefix}%{rolename}
export PKG_DATA_DIR=%{buildroot}$PKG_DATA_DIR_ORIG
export PKG_DOC_DIR=%{buildroot}%{_pkgdocdir}
export ROLENAME_LEGACY=%{buildroot}%{_datadir}/%{ansible_roles_dir}/%{roleprefix}%{legacy_rolename}
export ROLENAME_LEGACY_UPPERCASE=%{buildroot}%{_datadir}/%{ansible_roles_dir}/%{legacy_roleprefix}%{legacy_rolename}
sh build.sh install

%files
%{_datadir}/%{ansible_roles_dir}/%{roleprefix}%{rolename}
%{_datadir}/%{ansible_roles_dir}/%{legacy_roleprefix}%{legacy_rolename}
%{_datadir}/%{ansible_roles_dir}/%{roleprefix}%{legacy_rolename}

%doc README.md
%doc examples/

%license LICENSE

%changelog
* Mon Apr 08 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.16-1
- 1.0.16-1
- Rebase on upstream 1.0.16-1

* Wed Apr 03 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.15-1
- 1.0.15-1
- Rebase on upstream 1.0.15-1

* Tue Mar 26 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.14-1
- 1.0.14-1
- Rebase on upstream 1.0.14-1

* Tue Mar 12 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.13-1
- 1.0.13-1
- Rebase on upstream 1.0.13-1

* Mon Mar 04 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.12-1
- 1.0.12-1
- Rebase on upstream 1.0.12-1

* Mon Feb 18 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.11-1
- 1.0.11-1
- Rebase on upstream 1.0.11-1

* Tue Jan 29 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.8-1
- 1.0.8-1
- Rebase on upstream 1.0.8-1

* Tue Jan 22 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.7-1
- 1.0.7-1
- Rebase on upstream 1.0.7-1

* Sun Jan 13 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.5-1
- 1.0.5-1
- Rebase on upstream 1.0.5-1

* Wed Jan 09 2019 Simone Tiraboschi <stirabos@redhat.com> - 1.0.4-1
- 1.0.4-1
- Rebase on upstream 1.0.4-1

* Tue Oct 16 2018 Simone Tiraboschi <stirabos@redhat.com> - 1.0.2-1
- Initial release
